Wallet Infrastructure
Wallet Infrastructure
Recovery Contacts

Check contact coverage

POST
/v1/recovery-contacts/coverage

Requires scope recovery-contacts:read.

Authorization

ApiKey
headerAuthorizationBearer <sk_test_ or sk_live_ key>

Your sk_live_ / sk_test_ API key

Request Body

application/json
  1. body
walletIds*array<>

The wallets to report on, at most 500 per call.

Items1 <= items <= 500

Response Body

200application/json

Recovery-contact coverage across the wallets named

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
401application/json

The Authorization header is missing, malformed, or the API key is unknown or revoked

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
429application/json

The API key exceeded its request budget for the window

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean

Language

curl -X POST 'https://api.pilot.shiga.io/v1/recovery-contacts/coverage' \  -H 'Authorization: Bearer sk_test_...' \  -H 'Content-Type: application/json' \  -d '{  "walletIds": [    "bfd60b58-6a95-412d-9d54-f11018cc73a9"  ]}'
Example Response
{  "data": {    "total": 0,    "verified": 0,    "pending": 0,    "missing": 0,    "wallets": [      {        "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",        "status": "none"      }    ],    "unrecoverableIfBusinessClosed": [      "string"    ]  },  "status": 200,  "success": true}